.legal-docs-header {
    padding-top: 132px;
    width: 100%;
    height: 384px;
    margin-bottom: 56px;
    background: linear-gradient(95.07deg, #1A2027 -4.61%, #01050C 95.93%);
}

.legal-header-box {
    display: flex;
    flex-direction: row;
    gap: 142px;
}
.legal-dropdown {
    display: none;
}

.legal-header-box > div {

    width: 50%;

}

.legal-title {
    font-size: 64px;
    line-height: 110%;
    margin-bottom: 24px;
}

.legal-header-desc {
    font-size: 18px;
    line-height: 150%;

}

.legal-header-desc > p:first-child {
    margin-bottom: 12px;

}

.legal-header-desc > p:last-child {
    margin-bottom: 32px;

}

.text-section-header > .btn--outline {
    height: 48px;
    font-size: 20px;
    padding: 0 24px;

}

.legal-lock-image {
    width: 336px;
    height: 350px;
}

.legal-main-box {
    display: flex;
    flex-direction: row;
    gap: 60px;
    margin-bottom: 56px;
}

.legal-documents-nav {
    width: 288px;
    min-width: 288px;
    padding: 18px;
    background-color: #181A21;
    border-radius: 10px;
    box-sizing: border-box;
    height: max-content;

}

.legal-nav-item {
    width: 100%;
    padding: 12px;
    height: auto;
    background-color: inherit;
    border-radius: 12px;
    margin-bottom: 6px;
    align-content: center;
    font-size: 16px;
    display: block;
    box-sizing: border-box;

    &.active {
        background-color: #46484D;
    }
}

.legal-doc-title {
    font-size: 32px;
    margin-bottom: 24px;
}

.doc-text-date {
    gap: 7px;
    display: grid;

}

.legal-doc-info-box {
    display: flex;
    flex-direction: row;
    gap: 18px;
    margin-bottom: 40px;

}

.legal-doc-info {
    padding: 12px 16px;
    gap: 12px;
    box-sizing: border-box;
    display: flex;
    align-items: center;
    flex-direction: row;
    align-content: center;
    height: 72px;

    border: 1px solid #1A222B;
    border-radius: 10px;

}

.legal-doc-info > img {

    width: 24px;
    height: 24px;


}

.doc-text-date > p:first-child {

    font-size: 16px;
    color: #5C6571;

}

.doc-text-date > p:last-child {

    font-size: 16px;
    color: white;

}

.legal-doc {
    display: none;
}

.legal-doc.active {
    display: block;
}

.legal-doc-text > * {
    margin-bottom: 14px;
    font-size: 18px;
    font-weight: 300;
    line-height: 150%;
}

.legal-contact-box {
    gap: 65px;
    height: max-content;
    min-height: 221px;
    box-sizing: border-box;
    background-image: linear-gradient(rgba(18, 22, 30, 0.9), rgba(18, 22, 30, 0.9)),
    url("../images/bg/investor-blocks-bg.png");
    margin-bottom: 100px;
    border-radius: 24px;
    display: flex;
}

.legal-contact-text {
    max-width: 600px;
    padding: 40px;

}

.legal-contact-title {
    font-size: 24px;
    line-height: 150%;
}

.legal-contact-desc {
    font-size: 18px;
    margin-top: 12px;
    line-height: 150%;
    font-weight: 300;
}

.legal-footer-image {
    width: 272px;
    height: 205px;
    align-self: end;
}

.legal-contact-desc > a {
    color: #ffd52e;
    margin-left: 4px;
}
.legal-documents-select {
    display: none;
}

@media (max-width: 1200px) {
    .legal-docs-header {
        padding-top: 98px;
        height: 340px;
        margin-bottom: 40px;
    }

    .legal-header-box {

        gap: 63px;
    }

    .legal-header-desc {
        font-size: 15px;
        font-weight: 300;
        line-height: 145%;
    }

    .legal-title {
        font-size: 40px;
        margin-bottom: 22px;
    }

    .legal-header-desc > p:last-child {
        margin-bottom: 24px;

    }

    .text-section-header > .btn--outline {
        padding: 12px 18px;
        font-size: 16px;

    }

    .legal-lock-image {
        width: 237px;
        height: 248px;
    }

    .legal-documents-nav {
        padding: 14px;
        width: 210px;
        min-width: 210px;
    }

    .legal-nav-item {
        font-size: 15px;
        font-weight: 300;
    }

    .legal-main-box {
        gap: 32px;
    }
    .legal-doc-title {
        font-size: 28px;
        margin-bottom: 20px;
    }
    .legal-doc-info-box {
        flex-flow: wrap;
        gap: 12px;
        margin-bottom: 32px;
    }
    .legal-doc-info {
        padding: 10px 12px;
    }
    .doc-text-date {
        gap: 3px
    }
    .doc-text-date > p:first-child {
        font-size: 15px;
    }
    .doc-text-date > p:last-child {
        font-size: 15px;
    }
    .legal-doc-text > * {
     font-size: 15px;
        margin-bottom: 10px;
        font-weight: 300;
    }
    .legal-contact-box {
        gap: 20px;
    min-height: 200px}
    .legal-contact-text {
        padding: 26px;
        max-width: 350px;
    }
    .legal-contact-title {
        font-size: 20px;
    }
    .legal-contact-desc {
        font-size: 16px;
    }
    .legal-footer-image {
        width: 218px;
        height: 170px;
    }
}

@media only screen and (max-width: 720px) {
    .legal-docs-header {
      padding-top: 88px;
        margin-bottom: 36px;
        min-height: 336px;
        height: auto;
        padding-bottom: 24px;
    }
    .legal-lock-image {
        display: none;
    }
    .legal-header-box > div {
      width: 100%;
    }
    .legal-title {
        margin-bottom: 14px;
    }
    .legal-header-desc > p:first-child {
        margin-bottom: 8px;
    }
    .legal-header-desc > p:last-child {
        margin-bottom: 20px;
    }
    .text-section-header > .btn--outline {
        height: 44px;
    }
    .legal-documents-nav {
        display: none;
    }
    .legal-dropdown {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        padding: 0;
        gap: 2px;

        position: relative;
        width: 320px;    }
    .legal-dropdown > span {
        font-size: 12px    }
    .legal-dropdown-btn {
        width: 100%;
        height: 50px;
        background: #46484D;
        border: 1px solid #2a2f3a;
        border-radius: 10px;
        color: #fff;
        text-align: left;
        padding: 0 18px 0 12px;
        cursor: pointer;
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
    }

    .legal-dropdown-list {
        width: 100%;
        display: none;
        flex-direction: column;
        gap: 2px;
        background: #181A21;
        border-radius: 10px;
        overflow: hidden;
        padding: 12px 0;
    }

    .legal-dropdown.open .legal-dropdown-list {
        display: flex;
    }
    .legal-dropdown-icon {
        transition: transform 0.2s ease;
        width: 16px;
        height: 16px;
    }

    .legal-dropdown.open .legal-dropdown-icon {
        transform: rotate(180deg);
    }

    .legal-dropdown-item {
        padding: 8px 16px;
        cursor: pointer;
        color: #fff;
        font-weight: 300;
        min-height: 39px;
        box-sizing: border-box;
        background: transparent;
    }

    .legal-dropdown-item.active {

    }
    .legal-main-box {
gap: 36px;
        flex-direction: column;
    }
    .legal-doc-title {
        margin-bottom: 14px;
    }
    .legal-doc-info > img {
        display: none;
    }
    .legal-doc-info {
        padding: 8px 14px;
        height: 60px;
    }
    .doc-text-date {
        gap: 6px;
    }
    .legal-doc-text > * {
        font-size: 16px;
    }

    .legal-contact-box {
        flex-direction: column;
        gap: 0;
    }
    .legal-contact-text {
        padding: 20px;
    }
    .legal-contact-desc {
        margin-top: 6px;
    }
    .legal-footer-image {
        align-self: center;
        width: 245px;
        height: 183px;
    }
    .legal-dropdown-item {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 8px;
        cursor: pointer;
    }

    .legal-dropdown-check {
        width: 20px;
        height: 20px;
        opacity: 0;
        margin-right: 8px;
    }

    .legal-dropdown-item.active .legal-dropdown-check {
        opacity: 1;
    }
}